%define pkg_name        Set-CrossProduct
%define pkg_version     1.92
%define rpm_pkg_version 1.92
%define rpm_pkg_release 1.n0i.10

Summary:       Interact with the cartesian product of sets
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BD/BDFOY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
Create a list by taking one item from each array, and do that for all
possible ways that can be done, so that the first item in the list is
always from the first array, the second item from the second array,
and so on.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}
%{__perl} -pi -e "s{ (?<=\.)3(?=\') }{\\\$(MAN3EXT)}xs" Makefile.PL

%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ LICENSE README


%changelog
* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 1.92-1.n0i.10
- version 1.92

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.91-2.n0i.9
- mass rebuild

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 1.91-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.5
- rebuild on perl 5.8.8

* Fri May 19 2006 Marius Feraru <altblue@n0i.net> - 1.8-1.n0i.7
- version 1.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 1.6-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.6-2.n0i.5
- version 1.6

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.5-1.n0i.4
- version 1.5

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:1.4-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:1.4-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Thu Jan 01 2004 Marius FERARU <altblue@n0i.net> 0:1.4-0.n0i.1
- version 1.4
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
